Page MenuHomePhabricator

elementary: split the smart callback event name from the Eo name when needed.
ClosedPublic

Authored by cedric on Mar 13 2019, 2:58 PM.

Details

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Mar 13 2019, 2:58 PM
zmike added a comment.Mar 14 2019, 7:59 AM

Do we have a unit test for this?

In D8332#150034, @zmike wrote:

Do we have a unit test for this?

For me the fileselector test case can not pass without this patch as it get the wrong name.

cedric updated this revision to Diff 20644.Mar 15 2019, 4:58 PM
cedric added a reviewer: YOhoho.

Rebase.

bu5hm4n accepted this revision.Mar 16 2019, 9:13 AM

This indeed fixes a *sometimes* failure in the fileselector testcase.

This revision is now accepted and ready to land.Mar 16 2019, 9:13 AM
cedric updated this revision to Diff 20806.Mar 20 2019, 11:34 AM

Rebase and correct.

cedric updated this revision to Diff 20993.Mar 27 2019, 2:27 PM

Rebase.

This revision was automatically updated to reflect the committed changes.